> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync eligible integrations

> Queue integration and pull-request sync jobs for integrations with enabled repositories.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public post /v1/integrations/sync
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/integrations/sync:
    post:
      tags:
        - Integrations
      summary: Sync eligible integrations
      description: >-
        Queue integration and pull-request sync jobs for integrations with
        enabled repositories.
      operationId: syncIntegrations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
      responses:
        '200':
          description: Sync eligible integrations
          content:
            application/json:
              schema:
                type: object
                properties:
                  eligibleIntegrationCount:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                  integrationSyncJobCount:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                  pullRequestSyncJobCount:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - eligibleIntegrationCount
                  - integrationSyncJobCount
                  - pullRequestSyncJobCount
                additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller cannot perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Integration not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Integration conflict or unsupported operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Integration operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Integration provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Integration provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.